Bug 3385 - GDM fails to load
: GDM fails to load
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 3393
  Show dependency treegraph
 
Reported: 2013-12-10 23:33 MSK by Dmitry
Modified: 2013-12-12 19:16 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
journalctl -b (142.03 KB, text/x-log)
2013-12-11 10:27 MSK, Dmitry
Details
full journalctl logs (371.78 KB, text/x-log)
2013-12-11 14:01 MSK, Dmitry
Details
journalctl | grep gdm (4.33 KB, text/x-log)
2013-12-11 16:20 MSK, Dmitry
Details
journalctl | grep gnome (6.80 KB, text/x-log)
2013-12-11 16:21 MSK, Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2013-12-10 23:33:58 MSK
Description of problem:

After update:

# systemctl status gdm
gdm.service - GNOME Display Manager
   Loaded: loaded (/lib/systemd/system/gdm.service; disabled)
   Active: inactive (dead)

дек. 10 22:30:20 work gdm[3532]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
дек. 10 22:30:20 work gdm[3532]: Child process 29674 was already dead.
дек. 10 22:30:20 work gdm[3532]: Unable to kill session worker process
дек. 10 22:30:21 work systemd[1]: Stopped GNOME Display Manager.
дек. 10 22:30:21 work gdm[3532]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
дек. 10 22:42:35 work systemd[1]: Stopped GNOME Display Manager.
дек. 10 22:44:44 work systemd[1]: Stopped GNOME Display Manager.
дек. 10 23:27:08 work systemd[1]: Stopped GNOME Display Manager.

Version-Release number of selected component (if applicable):
# rpm -qa | grep gdm
lib64gdm1-3.8.1.1-12-rosa2012.1.x86_64
lib64gdm-gir1.0-3.8.1.1-12-rosa2012.1.x86_64
lib64gdmsimplegreeter1-3.8.1.1-12-rosa2012.1.x86_64
gdm-3.8.1.1-12-rosa2012.1.x86_64
Comment 1 Aleksandr Kazantcev 2013-12-10 23:36:43 MSK
System fully updated?
Comment 2 Dmitry 2013-12-10 23:37:33 MSK
KDM works fine. 

Gnome fails also "Something went wrong. Logout.". It is NOT possible to use Gnome since last updates I have installed. KDE works fine.
Comment 3 Dmitry 2013-12-10 23:38:12 MSK
# urpmi --auto-update
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
источник «main» уже обновлён
источник «main updates» уже обновлён
Пакеты находятся в актуальном состоянии
Comment 4 Dmitry 2013-12-10 23:39:59 MSK
I have Nvidia video card. And it hasn't been installed properly, but Xfdrake helped me.
Comment 5 Dmitry 2013-12-10 23:41:41 MSK
And no Ctrl+Alt+F* console available. So, I can't switch to console because systemd hangs if gdm is enabled.
Comment 6 Aleksandr Kazantcev 2013-12-10 23:42:06 MSK
Delete kdm and reinstall gdm. Than try again and see errors in journalctl
Comment 7 Dmitry 2013-12-11 00:13:55 MSK
(In reply to comment #6)
> Delete kdm and reinstall gdm. Than try again and see errors in journalctl

Nothing is changed.
Comment 8 Arkady L. Shane 2013-12-11 02:17:19 MSK
Please attach output of journalctl -b
Comment 9 Dmitry 2013-12-11 10:27:52 MSK
Created attachment 2380 [details]
journalctl -b
Comment 10 Dmitry 2013-12-11 10:31:31 MSK
# journalctl | grep gdm
дек. 11 10:09:35 work dbus-daemon[2961]: dbus[2961]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.44" (uid=0 pid=17924 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.45" (uid=0 pid=17928 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
дек. 11 10:09:35 work dbus[2961]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.44" (uid=0 pid=17924 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.45" (uid=0 pid=17928 comm="/usr/lib64/gdm-simple-slave --display-id /org/gnom")
дек. 11 10:09:38 work gdm-launch-environment][18034]: pam_console(gdm-launch-environment:session): Could not open lock file /var/run/console/gdm, disallowing console access
дек. 11 10:09:38 work gdm-launch-environment][18034]: pam_tcb(gdm-launch-environment:session): Session opened for gdm by (uid=0)
дек. 11 10:09:38 work systemd-logind[2959]: New session c1 of user gdm.
дек. 11 10:09:38 work gdm[17924]: GLib: g_variant_compare: assertion `!g_variant_is_container (a)' failed
дек. 11 10:09:38 work gdm[17924]: GLib: g_variant_compare: assertion `!g_variant_is_container (a)' failed
дек. 11 10:09:42 work rtkit-daemon[18072]: Successfully made thread 18071 of process 18071 (/usr/bin/pulseaudio) owned by 'gdm' high priority at nice level -11.
дек. 11 10:09:42 work rtkit-daemon[18072]: Successfully made thread 18075 of process 18071 (/usr/bin/pulseaudio) owned by 'gdm' RT at priority 5.
дек. 11 10:09:42 work rtkit-daemon[18072]: Successfully made thread 18076 of process 18071 (/usr/bin/pulseaudio) owned by 'gdm' RT at priority 5.
дек. 11 10:09:42 work rtkit-daemon[18072]: Successfully made thread 18077 of process 18071 (/usr/bin/pulseaudio) owned by 'gdm' RT at priority 5.
дек. 11 10:23:10 work gdm[17924]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
дек. 11 10:23:10 work gdm[17924]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Comment 11 Aleksandr Kazantcev 2013-12-11 10:44:05 MSK
>>pam_tcb(su:session): Session opened for root by dmitry(uid=500)

Please provide /etc/pam.d/system-auth
Comment 12 Arkady L. Shane 2013-12-11 12:03:16 MSK
Oh, your attached log have no any entries about gdm:( Last boot uses kdm, I saw.

Please add full journalctl (without -b).
Comment 13 Dmitry 2013-12-11 13:59:01 MSK
(In reply to comment #11)
> >>pam_tcb(su:session): Session opened for root by dmitry(uid=500)
> 
> Please provide /etc/pam.d/system-auth

That is su from konsole
Comment 14 Dmitry 2013-12-11 14:01:24 MSK
Created attachment 2381 [details]
full journalctl logs
Comment 15 Dmitry 2013-12-11 14:03:45 MSK
(In reply to comment #11)
> >>pam_tcb(su:session): Session opened for root by dmitry(uid=500)
> 
> Please provide /etc/pam.d/system-auth

#cat /etc/pam.d/system-auth

auth        required      pam_env.so
auth        sufficient    pam_tcb.so shadow nullok prefix=*** count=8
auth        required      pam_deny.so

account     sufficient    pam_tcb.so shadow
account     required      pam_deny.so

password    required      pam_cracklib.so try_first_pass retry=3
password    sufficient    pam_tcb.so use_authtok shadow write_to=shadow nullok prefix=*** count=8
password    required      pam_deny.so

session     optional      pam_keyinit.so revoke
session     required      pam_limits.so
session     [success=1 default=ignore] pam_succeed_if.so service in crond quiet use_uid
session     required      pam_tcb.so
-session    optional      pam_systemd.so
Comment 16 Aleksandr Kazantcev 2013-12-11 14:08:08 MSK
Please see on /etc/pam.d/ and replace current system-auth with system-auth.rpmnew (or rpmsave) without pam_tcb
Comment 17 Arkady L. Shane 2013-12-11 14:27:06 MSK
Ok. I think problem is in JS:

дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!   Exception was: Error: Requiring Shell, version none: Typelib file for namespace 'GDesktopEnums', version '3.0' not found
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     message = '"Requiring Shell, version none: Typelib file for namespace 'GDesktopEnums', version '3.0' not found"'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/environment.js"'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     lineNumber = '13'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     stack = '"@/usr/share/gnome-shell/js/ui/environment.js:13
дек. 11 10:09:44 work gnome-session[18038]: "'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!   Exception was: Error: Requiring Shell, version none: Typelib file for namespace 'GDesktopEnums', version '3.0' not found
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     message = '"Requiring Shell, version none: Typelib file for namespace 'GDesktopEnums', version '3.0' not found"'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/environment.js"'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     lineNumber = '13'
дек. 11 10:09:44 work gnome-session[18038]: JS ERROR: !!!     stack = '"@/usr/share/gnome-shell/js/ui/environment.js:13
дек. 11 10:09:44 work gnome-session[18038]: "'
дек. 11 10:09:44 work gnome-session[18038]: Предупреждение менеджера окон: Log level 32: Execution of main.js threw exception: Error: Requiring Shell, version none: Typelib file for namespace 'GDesktopEnums', version '3.0' not found
Comment 18 Dmitry 2013-12-11 15:07:50 MSK
(In reply to comment #16)
> Please see on /etc/pam.d/ and replace current system-auth with
> system-auth.rpmnew (or rpmsave) without pam_tcb

done. But GDM won't start.
Comment 19 Dmitry 2013-12-11 16:20:53 MSK
Created attachment 2384 [details]
journalctl | grep gdm
Comment 20 Dmitry 2013-12-11 16:21:12 MSK
Created attachment 2385 [details]
journalctl | grep gnome
Comment 21 Arkady L. Shane 2013-12-11 17:30:12 MSK
Ok, we found that gsettings-desktop-schemas can't be noarch.
Comment 22 Arkady L. Shane 2013-12-11 19:56:48 MSK
I think resolve in last gsettings-desktop-schemas which pushed to testing.
Comment 23 Vladimir Potapov 2013-12-12 19:16:56 MSK
(In reply to comment #20)
> Created attachment 2385 [details]
> journalctl | grep gnome
Dmitry, I can't reproduce the bug. Do you confirm close the bug by package from testing?